include("run_experiments.jl")

#const datapath = joinpath(@__DIR__, "../../data")
#const outpath = joinpath(@__DIR__, "../../data")
const datapath = joinpath(@__DIR__, "data")
const outpath = joinpath(@__DIR__, "data")

ctx = Util.Context(datapath, outpath)

# NOTE: make sure middlebury data is available in each of the directories!

function paper1(ctx)
    # newton vs other algs
    ctx(experiment_convergence_rate, "fem/convergence/rate")
    # denoising
    ctx(experiment_denoise, "fem/denoise")
    # combined inpainting + denoising with mixed noise
    ctx(experiment_inpaint_denoise, "fem/inpaint_denoise")
    # comparison: vanilla / warping
    ctx(experiment_optflow_middlebury_warping_comparison, "fem/opticalflow/middlebury_warping_comparison")
end

function paper2(ctx)
    # comparison: image mesh interpolation methods
    ctx(experiment_image_mesh_interpolation, "image-mesh-interpolation")
    # optflow comparison: vanilla / warping / adaptive
    ctx(experiment_optflow_middlebury_warping_comparison_adaptive, "fem/opticalflow/middlebury_warping_comparison_adaptive")
    # adaptive inpainting
    ctx(experiment_inpaint_adaptive, "fem/inpaint_adaptive")
end
